<?php

namespace App\Http\Controllers\Admin;

use App\Models\Package;
use Illuminate\Http\Request;

class PackagesController extends MasterController
{
    public function __construct(Package $model)
    {
        $this->model = $model;
        $this->route = 'packages';
        $this->module_name = 'قائمة الباقات';
        $this->single_module_name = 'الباقات';
        $this->index_fields = ['الاسم' => 'title', 'ملاحظات' => 'note', 'شهور لاشتراك' => 'months' , 'السعر' => 'price'];
        $this->create_fields = ['العنوان' => 'title', 'الوصف' => 'note'];
        $this->update_fields = ['العنوان' => 'title', 'الوصف' => 'note'];
//        $this->middleware('permission:complains')->only('index');
//        $this->middleware('permission:delete_complains')->only('destroy');
        parent::__construct();
    }
    public function store(Request $request)
    {
        $this->validate($request, $this->validation_func(1));
        $obj = new Package();


        $obj['title->ar'] = $request->title_ar;
        $obj['title->en'] = $request->title_en;
        $obj['note->ar'] = $request->note_ar;
        $obj['note->en'] = $request->note_en;
        $obj->price = $request->price;
        $obj->months = $request->months;

        $obj->save();

        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');
    }

    public function update($id, Request $request)
    {
        $this->validate($request, $this->validation_func(2, $id));
        $obj = Package::find($id);

        $obj['title->ar'] = $request->title_ar;
        $obj['title->en'] = $request->title_en;
        $obj['note->ar'] = $request->note_ar;
        $obj['note->en'] = $request->note_en;
        $obj->price = $request->price;
        $obj->months = $request->months;

        $obj->update();
        return redirect('admin/' . $this->route . '')->with('updated', 'تم التعديل بنجاح');
    }


    public function validation_func($method, $id = null)
    {
        if ($method == 1) // POST Case
            return ['title_ar' => 'required', 'title_en' => 'required','note_ar' => 'required', 'note_en' => 'required', 'price' => 'required', 'months' => 'required'];
        return ['title_ar' => 'required', 'title_en' => 'required','note_ar' => 'required', 'note_en' => 'required', 'price' => 'required', 'months' => 'required'];
    }
}
