<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Auth;
use Route;

class WebLoginController extends Controller
{
    public function __construct()
    {
        $this->middleware('guest:web', ['except' => ['logout']]);
    }

    public function web_login(Request $request)
    {
        $this->validate($request, [
            'username'   => 'required',
            'password' => 'required|min:6'
        ]);

        if (Auth::guard('web')->attempt(['username' => $request->username, 'password' => $request->password,'status'=>'active','type'=>'user'], $request->remember)) {
            return redirect()->intended(url('/'));
        }
        return redirect()->back()->withErrors(['يوجد مشاكل بالبيانات المدخلة']);
    }

    public function client_login(Request $request)
    {
        $this->validate($request, [
            'username'   => 'required',
            'password' => 'required|min:6'
        ]);

        if (Auth::guard('client')->attempt(['username' => $request->username, 'password' => $request->password,'status'=>'active'], $request->remember)) {
            return redirect()->intended(url('/'));
        }
        return redirect()->back()->withErrors(['يوجد مشاكل بالبيانات المدخلة']);
    }

    public function union_login(Request $request)
    {
        $this->validate($request, [
            'username'   => 'required',
            'password' => 'required|min:6'
        ]);

        if (Auth::guard('web')->attempt(['username' => $request->username, 'password' => $request->password,'status'=>'active','type'=>'union'], $request->remember)) {
            return redirect()->intended(url('/'));
        }
        return redirect()->back()->withErrors(['يوجد مشاكل بالبيانات المدخلة']);
    }

    public function web_logout()
    {
        Auth::usr()->logout();
        return redirect('/');
    }
    public function client_logout()
    {
        Auth::guard('client')->logout();
        return redirect('/');
    }
}