@extends('admin.layouts.app')
@section('title',$module_name)
@section('content')
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card-box">
                        <h4 class="m-t-0 header-title"><b><i class="icon-pencil before_word"></i>&nbsp;
                                تعديل بيانات {{ $single_module_name }}
                            </b>
                            <hr>
                        </h4>
                        {!! Form::model($row, ['method'=>'patch','name'=>'update', 'files'=>true, 'route'=>[$route.'.update', $row->id], 'class' => 'form-horizontal form-row-seperated']) !!}
                        {!! Form::hidden('id', $row->id) !!}
                        {!! Form::hidden('admin_id', Auth::user()->id) !!}

                        <div class="row">
                            <div class="col-md-12">

                                <div>
                                    <label for="title">الاسم</label>
                                    <input type="text" name="title" value="{{$row->title}}"
                                           class="form-control required">
                                    @if ($errors->has('title'))
                                        <small class="text-danger">{{ $errors->first('title') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">السعر</label>
                                    <input type="text" name="price" value="{{$row->price}}"
                                           class="form-control required">
                                    @if ($errors->has('price'))
                                        <small class="text-danger">{{ $errors->first('price') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">الوصف</label>
                                    <input type="textarea" name="note" value="{{$row->note}}"
                                           class="form-control required"
                                           style="height: 200px !important;">
                                    @if ($errors->has('note'))
                                        <small class="text-danger">{{ $errors->first('note') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">العنوان</label>
                                    <input type="text" name="address" value="{{$row->address}}"
                                           class="form-control required">
                                    @if ($errors->has('address'))
                                        <small class="text-danger">{{ $errors->first('address') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">الصور</label>
                                    <input type="file" name="image[]" multiple class="form-control required">
                                    @if ($errors->has('image'))
                                        <small class="text-danger">{{ $errors->first('image') }}</small>
                                    @endif
                                </div>
                                <br>

                                <div class="form-group">
                                    <label class="control-label">النوع</label>
                                    {{ Form::select('type', ['sell'=>'بيع','rent'=>'ايجار'], $row->type, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true, 'required')) }}
                                    @if ($errors->has('type'))
                                        <small class="text-danger">{{ $errors->first('type') }}</small>
                                    @endif
                                </div>
                                <br>

                                <div class="form-group">
                                    <label class="control-label">المدينة</label>
                                    {{ Form::select('city_id', $cities_array, $row->city_id, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true, 'required')) }}
                                    @if ($errors->has('city_id'))
                                        <small class="text-danger">{{ $errors->first('city_id') }}</small>
                                    @endif
                                </div>
                                <br>

                                <div class="form-group">
                                    <label class="control-label">تابع الى</label>
                                    {{ Form::select('menu_id', $menu_array, $row->menu_id, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true, 'required')) }}
                                    @if ($errors->has('menu_id'))
                                        <small class="text-danger">{{ $errors->first('menu_id') }}</small>
                                    @endif
                                </div>


                            </div>
                        </div>
                        <div class="form-group">
                            <div class="control-label col-md-push-1">
                                <button type="submit"
                                        class="update_button btn btn-success btn-rounded waves-effect waves-light">
                                    تعديل
                                </button>
                            </div>
                        </div>

                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $(document).ready(function () {
            // Basic
            $('.dropify').dropify();
            // Translated
            $('.dropify-fr').dropify({
                messages: {
                    default: 'Glissez-déposez un fichier ici ou cliquez',
                    replace: 'Glissez-déposez un fichier ou cliquez pour remplacer',
                    remove: 'Supprimer',
                    error: 'Désolé, le fichier trop volumineux'
                }
            });
            // Used events
            var drEvent = $('#input-file-events').dropify();
            drEvent.on('dropify.beforeClear', function (event, element) {
                return confirm("Do you really want to delete \"" + element.file.name + "\" ?");
            });
            drEvent.on('dropify.afterClear', function (event, element) {
                alert('File deleted');
            });
            drEvent.on('dropify.errors', function (event, element) {
                console.log('Has Errors');
            });
            var drDestroy = $('#input-file-to-destroy').dropify();
            drDestroy = drDestroy.data('dropify')
            $('#toggleDropify').on('click', function (e) {
                e.preventDefault();
                if (drDestroy.isDropified()) {
                    drDestroy.destroy();
                } else {
                    drDestroy.init();
                }
            })
        });
    </script>
    {{--<script>--}}
    {{--$(document).on('click', '.update_button', function (e) {--}}
    {{--e.preventDefault();--}}
    {{--swal({--}}
    {{--title: "هل انت متأكد من التعديل ؟",--}}
    {{--type: "warning",--}}
    {{--showCancelButton: true,--}}
    {{--confirmButtonClass: 'btn-danger',--}}
    {{--confirmButtonText: 'نعم , قم بالتعديل!',--}}
    {{--cancelButtonText: 'ﻻ , الغى العملية !',--}}
    {{--closeOnConfirm: false,--}}
    {{--closeOnCancel: false--}}
    {{--},--}}
    {{--function (isConfirm) {--}}
    {{--if (isConfirm) {--}}
    {{--swal("تم التعديل بنجاح !", "", "success");--}}
    {{--$("form[name='update']").submit();--}}
    {{--} else {--}}
    {{--swal("تم الالغاء", "", "error");--}}
    {{--}--}}
    {{--});--}}
    {{--});--}}
    {{--</script>--}}
@stop