@extends('web.layouts.app')
@section('title','ثمار التطور')
@section('loading')
    <div class="loading">
        <img src="{{asset('web/images/logo.png')}}">
    </div>
    <div class="overlayed-none"></div>
@stop
@section('header')
    <div class="slider-top">
        @foreach($sliders as $slider)
            <div class="item">
                <img src="{{asset('images/slider/'.$slider->image)}}">
                <div class="overlay">
                    @php
                        $note=\App\Models\SliderDescription::where(['language_id'=>1,'slider_id'=>$slider->id])->value('note');
                    @endphp
                    <div>{!! $note !!}</div>
                </div>
            </div>
        @endforeach
    </div>
    <div class="social-media-header">
        @php
        $face=App\Models\Social::find(1);
        $inst=App\Models\Social::find(2);
        $twitter=App\Models\Social::find(3);
        @endphp
        <a target="_blank" href="{{$face->link}}" data-toggle="tooltip" data-placement="right" title="facebook"><i class="fa fa-facebook"></i></a>
        <a target="_blank" href="{{$twitter->link}}" data-toggle="tooltip" data-placement="right" title="twitter"><i class="fa fa-twitter"></i></a>
        {{--<a target="_blank" href="#" data-toggle="tooltip" data-placement="right" title="Gmail"><i class="fa fa-google-plus"></i></a>--}}
        <a target="_blank" href="{{$inst->link}}" data-toggle="tooltip" data-placement="right" title="Instagram"><i class="fa fa-instagram"></i></a>
    </div>
    <div class="page_options">
        <p data-toggle="tooltip" data-placement="left" title="الاعدادات"><i class="fa fa-cog"></i></p>
        <ul>
            @if(!Auth::guard('client')->check() && !Auth::check())
                <li><a href="{{route('login')}}">تسجيل دخول</a></li>
                {{--<li><a href="{{route('register')}}">تسجيل جديد</a></li>--}}
            @elseif(Auth::user())
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('logout')}}">خروج</a></li>
            @elseif(Auth::guard('client'))
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('client.logout')}}">خروج</a></li>
            @endif

        </ul>
    </div>
@stop

@section('content')
<!-- start about-us -->
<!-- ======================== -->
<div id="about" class="about-us">
    <div class="container">

        <div class="title-section wow fadeInUp" data-wow-duration="1.25s" data-wow-delay=".5s">
            <h3><span>من نحن</span></h3>
        </div><!-- title -->


        <div class="col-md-7">

            {!! App\Models\SettingDescription::where(['setting_id'=>1,'language_id'=>1])->value('about') !!}
        </div><!-- md6 -->

        <div class="col-md-5">
            <div class="img">
                <img src="{{asset('web/images/about.jpg')}}" class="wow fadeIn"  data-wow-duration="1.25s" data-wow-delay=".5s">
            </div><!-- img -->
        </div><!-- col-md-6 -->
    </div><!-- container -->
</div><!-- about -->
<!-- ======================== -->
<!-- end about -->
<!-- start estates -->
<!-- ======================== -->
<div class="estates">
    <div class="container">
        <div class="title-section wow fadeInUp" data-wow-duration="1.25s" data-wow-delay=".5s">
            <h3><span>العقارات</span></h3>
        </div><!-- title -->

        <div class="slider">
            <?php $s=0; ?>
            @for($i=0;$i<$count_buildings/2;$i++)
                    <div class="item">
                            @php
                                $building=App\Models\Building::find($buildings_id[$s]);
                                $owner_name=App\Models\Client::where('id',$building->client_id)->value('name');
                                $building_name = App\Models\BuildingDescription::where(['building_id' => $building->id, 'language_id' => 1])->value('name');
                                $city_name =  App\Models\CityDescription::where(['city_id' => $building->district->city_id, 'language_id' => 1])->value('name');
                                $district_name =  App\Models\DistrictDescription::where(['district_id' => $building->district_id, 'language_id' => 1])->value('name');
                                $status_name =  App\Models\BuildingStatusDescription::where(['building_status_id' => $building->building_status_id, 'language_id' => 1])->value('name');
                                $image = App\Models\BuildingImage::where(['building_id' => $building->id])->value('name');
                            @endphp
                            <div class="inner">
                                <div class="img">
                                    <a href="{{route('building',[$building->id,'building'])}}"><img src="{{asset('images/building/'.$image)}}"></a>
                                </div><!-- img -->
                                <div class="inner-text">
                                    <h3>{{$owner_name}}</h3>
                                    <ul>
                                        <li><i class="fa fa-building"></i>{{$building_name}}</li>
                                        <li><i class="fa fa-map-marker"></i>{{$city_name}},{{$district_name}}</li>
                                        <li><i class="fa fa-building"></i> {{$status_name}}</li>
                                    </ul>
                                </div><!-- inner-text -->
                            </div><!-- inner -->

                            @php
                                if($s<$count_buildings-1){
                                    $building=App\Models\Building::find($buildings_id[$s+1]);
                                }else{
                                    $building=App\Models\Building::find($buildings_id[$s]);
                                }
                                $owner_name=App\Models\Client::where('id',$building->client_id)->value('name');
                                $building_name = App\Models\BuildingDescription::where(['building_id' => $building->id, 'language_id' => 1])->value('name');
                                $city_name =  App\Models\CityDescription::where(['city_id' => $building->district->city_id, 'language_id' => 1])->value('name');
                                $district_name =  App\Models\DistrictDescription::where(['district_id' => $building->district_id, 'language_id' => 1])->value('name');
                                $status_name =  App\Models\BuildingStatusDescription::where(['building_status_id' => $building->building_status_id, 'language_id' => 1])->value('name');
                                $image = App\Models\BuildingImage::where(['building_id' => $building->id])->value('name');
                            @endphp
                            <div class="inner">
                                <div class="img">
                                    <a href="{{route('building',[$building->id,'building'])}}"><img src="{{asset('images/building/'.$image)}}"></a>
                                </div><!-- img -->
                                <div class="inner-text">
                                    <h3>{{$owner_name}}</h3>
                                    <ul>
                                        <li><i class="fa fa-building"></i>{{$building_name}}</li>
                                        <li><i class="fa fa-map-marker"></i>{{$city_name}},{{$district_name}}</li>
                                        <li><i class="fa fa-building"></i> {{$status_name}}</li>
                                    </ul>
                                </div><!-- inner-text -->
                            </div><!-- inner -->
                    </div><!-- item -->
                <?php $s=$s+2; ?>
            @endfor
        </div><!-- slider -->


    </div><!-- container -->
</div><!-- estates -->
<!-- ======================== -->
<!-- end estates -->
<!-- start contact -->
<!-- ======================== -->
<div id="contact" class="contact-section">

    <img src="{{asset('web/images/contact.png')}}" class="img-center">

    <div class="container">
        <div class="title-section wow fadeInUp" data-wow-duration="1.25s" data-wow-delay=".5s">
            <h3><span>اتصل بنا</span></h3>
        </div><!-- title -->

        <div class="col-md-7">
            <div class="text">
                دائما كن على اتصال بنا اذا زاجهتك اى مشكلة او عندك اى شكوى عن الموقع او عملاء مشتركين فى الموقع نحن دائما فى الخدمة 24 ساعة يوميا
            </div><!-- text -->
        </div><!-- md-6 -->



        <div class="col-md-5">
            {!! Form::open(['method'=>'post', 'files'=>true, 'enctype' => 'multipart/form-data', 'route'=>['contact']]) !!}
                <input name="name" type="text" placeholder="اكتب اسمك هنا">
                <input name="mobile" type="tel" placeholder="اكتب جوالك هنا">
                <textarea name="content" placeholder="اكتب رسالتك هنا"></textarea>
                <button type="submit">ارسال</button>
            {!! Form::close() !!}
        </div><!-- md-6 -->
    </div><!-- container -->
</div><!-- contact-section -->
@stop