<?php

header('Access-Control-Allow-Origin: *');
header("Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method");
header("Access-Control-Allow-Methods: GET, POST, OPTIONS, PUT, DELETE");
header("Content-Type: form-data; charset=UTF-8");
header('Access-Control-Max-Age: 1000');

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});
Route::group(['prefix' => 'v1'], function () {
//user
    Route::post('/signup/{lang}', 'Api\UserController@signup');
    Route::post('/update_profile/{id}/{lang}', 'Api\UserController@update_profile');
    Route::post('/signin/{lang}', 'Api\UserController@signin');

    Route::post('/reset_password/{lang}', 'Api\UserController@reset_password');
    Route::post('/reset_password_true/{id}', 'Api\UserController@reset_password_true');
    Route::post('/logout', 'Api\UserController@logout');



    Route::post('/confirm_user/{id}', 'Api\UserController@confirm_user');
    Route::post('/confirm_user_true/{id}', 'Api\UserController@confirm_user_true');
    Route::post('/update_online/{id}', 'Api\UserController@update_online');


    Route::get('/all_ads/{id}/{lang}', 'Api\AdController@all_ads');
    Route::post('/ads_by_sub/{lang}', 'Api\AdController@ads_by_sub');
    Route::post('/ad_item/{lang}', 'Api\AdController@ad_item');
    Route::post('/add_rating/{lang}', 'Api\AdController@add_rating');


//    Route::get('/cities/{lang}', 'Api\AdController@cities');
    Route::get('/about_us/{lang}', 'Api\AdController@about_us');
    Route::get('/pledge/{lang}', 'Api\UserController@pledge');
    Route::get('/policy/{lang}', 'Api\UserController@policy');


    Route::get('/banks/{lang}', 'Api\UserController@banks');
    Route::get('/user_profile/{id}', 'Api\UserController@user_profile');
    Route::post('/user_note/{id}', 'Api\UserController@user_note');
    Route::post('/uploadImage', 'Api\UserController@uploadImage');

    Route::post('/user_view/{id}/{lang}', 'Api\UserController@user_view');
    Route::post('/add_rating', 'Api\UserController@add_rating');
    Route::post('/users/{lang}', 'Api\UserController@users');
    Route::post('/my_location/{id}', 'Api\UserController@my_location');

    
    Route::post('/update_pay/{id}', 'Api\UserController@update_pay');

    Route::get('/packages', 'Api\DataController@packages');
    Route::post('/transfer/{id}', 'Api\DataController@transfer');




Route::get('lotfy',function(){
   return response()->json(['value'=>true,'data'=>1]);
});













});
