<?php $__env->startSection('header'); ?>
    <div class="breadcramb" data-parallax="scroll" data-image-src="<?php echo e(asset('web/images/loading.jpg')); ?>">
        <div class="container">
            <h3>من نحن </h3>
            <div class="overlay-breadcramb">
                <h4><a href="<?php echo e(route('index')); ?>">الرئيسية</a> <i class="fa fa-angle-left"></i> تسجيل الدخول  </h4>
            </div>
        </div><!-- container -->
    </div><!-- breadcramb -->

    <div class="page_options options-page">
        <p data-toggle="tooltip" data-placement="left" title="الاعدادات"><i class="fa fa-cog"></i></p>
        <ul>
            <?php if(!Auth::guard('client')->check() && !Auth::check()): ?>
                <li><a href="<?php echo e(route('login')); ?>">تسجيل دخول</a></li>
                <li><a href="<?php echo e(route('register')); ?>">تسجيل جديد</a></li>
            <?php elseif(Auth::user()): ?>
                <li><a href="">الاعدادات</a></li>
                <li><a href="<?php echo e(route('logout')); ?>">خروج</a></li>
            <?php elseif(Auth::guard('client')): ?>
                <li><a href="">الاعدادات</a></li>
                <li><a href="<?php echo e(route('client.logout')); ?>">خروج</a></li>
            <?php endif; ?>
        </ul>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

<div class="container sign-in">
    <div class="page-usual">
        <div class="col-md-6">
            <?php if($errors->any()): ?>
                <div class="alert alert-danger alert-dismissible fade in" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <p><?php echo e($error); ?></p>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            <?php endif; ?>
            <ul class="nav nav-tabs" role="tablist">
                <li role="presentation" class="active"><a href="#tab1" aria-controls="tab1" role="tab" data-toggle="tab">زائر</a></li>
                <li role="presentation"><a href="#tab2" aria-controls="tab2" role="tab" data-toggle="tab">صاحب عقار</a></li>
                <li role="presentation"><a href="#tab3" aria-controls="tab3" role="tab" data-toggle="tab">اتحاد ملاك</a></li>
            </ul>
            <div class="tab-content">
                    <div  role="tabpanel" class="tab-pane active fade in" id="tab1">
                        <form class="form-horizontal" method="POST" action="<?php echo e(route('web.login.submit')); ?>">
                            <?php echo e(csrf_field()); ?>

                            <div class="form-group<?php echo e($errors->has('username') ? ' has-error' : ''); ?>">
                                <i class="fa fa-user"></i>
                                <input id="username" type="text" placeholder="اسم المستخدم" class="form-control" name="username" required>
                                <?php if($errors->has('username')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('username')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('password') ? ' has-error' : ''); ?>">
                                <i class="fa fa-lock"></i>
                                <input id="password" type="password" placeholder="كلمة المرور" class="form-control" name="password" required>
                                <?php if($errors->has('password')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('password')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <button type="submit">تسجيل دخول</button>
                            </div><!-- form-group -->
                        </form>
                    </div><!-- tab-pane -->

                    <div  role="tabpanel" class="tab-pane fade " id="tab2">
                        <form class="form-horizontal" method="POST" action="<?php echo e(route('client.login.submit')); ?>">
                            <?php echo e(csrf_field()); ?>

                            <div class="form-group<?php echo e($errors->has('username') ? ' has-error' : ''); ?>">
                                <i class="fa fa-user"></i>
                                <input id="username" type="text" placeholder="اسم المستخدم" class="form-control" name="username" required>
                                <?php if($errors->has('username')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('username')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('password') ? ' has-error' : ''); ?>">
                                <i class="fa fa-lock"></i>
                                <input id="password" type="password" placeholder="كلمة المرور" class="form-control" name="password" required>
                                <?php if($errors->has('password')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('password')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <button type="submit">تسجيل دخول</button>
                            </div><!-- form-group -->
                        </form>
                    </div><!-- tab-pane -->

                    <div  role="tabpanel" class="tab-pane fade " id="tab3">
                        <form class="form-horizontal" method="POST" action="<?php echo e(route('union.login.submit')); ?>">
                            <?php echo e(csrf_field()); ?>

                            <div class="form-group<?php echo e($errors->has('username') ? ' has-error' : ''); ?>">
                                <i class="fa fa-user"></i>
                                <input id="username" type="text" placeholder="اسم المستخدم" class="form-control" name="username" required>
                                <?php if($errors->has('username')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('username')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('password') ? ' has-error' : ''); ?>">
                                <i class="fa fa-lock"></i>
                                <input id="password" type="password" placeholder="كلمة المرور" class="form-control" name="password" required>
                                <?php if($errors->has('password')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('password')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <button type="submit">تسجيل دخول</button>
                            </div><!-- form-group -->
                        </form>
                    </div><!-- tab-pane -->

            </div><!-- tab-content -->



        </div><!-- md-6 -->  


        <div class="col-md-6">
            <div class="img">
                <img src="<?php echo e(asset('web/images/user.jpg')); ?>">
            </div><!-- img -->
        </div>
        
    </div><!-- page-usual -->
</div><!-- container -->



<div class="clearfix"></div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('web.layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>